Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface FontCollection

All Known Implementing Classes:
  AFPBase12FontCollection, AFPFontCollection, Base14FontCollection, Base14FontCollection, ConfiguredFontCollection, CustomFontCollection, InstalledFontCollection

public interface FontCollection

Sets up a set of fonts

Method Summary
`int` | `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

Method Detail

### setup

    public int setup(int start,
                     FontInfo fontInfo)

  Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Parameters:
    `start` - the font starting number
    `fontInfo` - the font info to set up
  Returns:
    the starting font number for the next font to be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.